<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd"><html><head>
<title>hyperpoem3 - debconf2</title>

<!-- thanks to www.alistapart.com for the great css tutorial. -->

<link REL='stylesheet' HREF='dcstyle.css' TYPE='text/css'>

<meta http-equiv="expires" content="-1">
<meta http-equiv="pragma" content="no-cache">
<meta name="author" content="Michael Cardenas">
<meta name="robots" content="all">
<meta name="description" content="michael cardenas' account of debconf2, with pictures">
<meta name="keywords" content="michael carenas, michael, cardenas, gpl, debian, debconf, debconf2, lsb, freebsd, openbsd, netbsd, spi, lindows, lindows.com, debian, linux"></head>

<body onload="window.defaultStatus='debconf2 - fighting with giants, singing accordian players, and how to build a satellite in your garage'" bgcolor="#990000" text="#000000">

<div id="wrapper">

<p class="ahem"><big>This site will work and look better in a browser that supports <a href="http://www.webstandards.org/upgrade/" target="ala" title="The Web Standards Project's BROWSER UPGRADE initiative.">web standards</a>, but it is accessible to any browser or Internet device.</big></p>

<div id="content">

<p class="daytitle">debconf2 - fighting with giants, singing accordian players, and how to build a satellite in your garage <br><br> michael cardenas, <a href="mailto:michaelc@lindows.com">mbc</a>&nbsp;,  
<a href="http://www.hyperpoem.net">hyperpoem</a></p>
<br>
<p class="daytext">
I arrived at debconf2 saturday night, just before Michael Robertson's speech. I got there so late because I flew in with him, so unfortunately, I missed the first two days of the conference. Cliff Beshers, the other engineer from lindows who attended the conference<br><br><a href="cliff.jpg"><img src="cliff_small.jpg" border=0></a><br><br> had arrived on friday. 
Now I only wish I had been there the first day and had more time to get to know and learn from this awesome community of people. 
<br><br>
Michael gave his speech in the dinner hall, and people were just finishing eating as Cliff helped Michael to set up. As he began, I could see lots of the conference attendees rolling their eyes and there were a few people playing with their laptops. His speech talked about "Fighting With Giants" and how fighting with giants requires standing by one's convictions. He discussed his work at mp3.com and got a round of applause when he said that the success of the mp3 format meant the death of all digital rights management schemes for music. By the time he was done, all the laptop lids had been closed.  
<br><br>
In the morning, the first presentation was about the Linux Standard Base and was given by <a href="mailto:taggart@debian.org">Matt Taggart</a>. <br><br> 
<a href="taggart2.jpg"><img src="taggart2_small.jpg" border=0></a>
<a href="confhall.jpg"><img src="confhall_small.jpg" border=0></a>
<a href="peopleback.jpg"><img src="peopleback_small.jpg" border=0></a>
<a href="peopleleft.jpg"><img src="peopleleft_small.jpg" border=0></a><br><br>
Matt is on the comittee which is creating the LSB standard, and gave some details of what it covers. The Linux Standard Base describes a minimum set of applications and a minimum file structure that must be present in GNU/Linux systems. Matt discussed at some length the fact that there is some disagreement among debian developers whether the LSB matters, and whether they should conform to it. <a href="mailto:bdale@debian.org">Bdale Garbee</a>, the debian project leader, pointed out that the LSG, the comittee that is putting the LSB together, has contacted him directly and is making a concious effort to make sure that the LSB includes Debian systems, because if it doesn't, then it's not a viable standard. Personally, I think that the LSB matters because it makes Linux easier to use and develop on. I also don't think that it is restrictive because it only describes a minimum set of requirements. Matt also discussed the fact that kernel features are not described by the LSB, so it can be a standard that applies to Solaris, or FreeBSD-debian. :)
<br><br>
The next presentation was from three guys who love Debian, but don't love the linux kernel, <a href="mailto:andreas@debian.org">Andreas Schuldei</a>, Nathan Hawkins, and Matthew Garrett. <br><br>
<a href="bsds2.jpg"><img src="bsds2_small.jpg" border=0></a><br><br>
The presentation was about three attempts to use a BSD kernel in debian. They discussed their efforts to use FreeBSD, NetBSD, and OpenBSD with debian. In doing so, they found some issues with debian policy that are kernel specific and should be revised. Matt mentioned that he needed archive space so that he could let other people have access to what he's done, and a few people volunteered. One joke they kept repeating was that some people think that they should just die for trying to do such an atrocious thing, which started me thinking about how interesting it would be to formally study the politics of free software, since the topic kept coming up over and over again. 
<br><br>
Later in the day, I was approached by <a href="http://www.healthhacker.com/biella">Biella Coleman</a>, who asked me to fill out a survey for her, she said she was an anthropology student. 
<br><br>
The next presentation was a highly detailed description of init scripts in debian, init scripts on other platforms, and future directions for debian's init scripts by <a href="mailto:hmh@debian.org">Henrique de Moraes Holschuh</a>. This talk was accompanied by a <a href="http://people.debian.org/~hmh/">paper</a>, which I hadn't read because I didn't have net access. Unfortunately, York University, who graciously hosted the conference, didn't provide us with network access. Some more resourceful developers did find an ethernet port and they managed to set up their machine as a wireless access point, though the school's name servers apparently couldn't talk to many sites in the US. The network was routed through a debian server in the netherlands to try to resolve this, which made google come up with some very strange text. Due to the networking problems, there was a notice on the board for most of the day that "major chunks of the earth are missing, we are trying to resolve this now," which I found rather amusing, and a few other people did also. Back to the init script talk, Henrique discussed debian's init script abstraction layer, update-rc.d and invole-rc.d, and talked about a new addition to this, called policy-rc.d. This resulted in a loud argument from the freeswan developers about polluting the namespace, because .d files are supposed to be init scripts. There was discussion of adding a dynamic dependency checking ability to debian's init scripts. 
<br><br>
At this point there were a number of drawings for hardware. HP donated a hard drive, a switch and a few smaller things to be given away. Lindows also donated a Microtel computer with LindowsOS to be given away. 
<br><br>
User Support was the topic of the next presentation, by <a href="mailto:eelf@sympatico.ca">David B Harris</a>. David discussed the various channels users have to get support and proposed a new support@debian.org email address that would be a front end for a distributed support system. <a href="http://people.debian.org/~branden/">Branden</a> suggested that people be rotated from support in the possibility that they get sick of doing it. David also discussed the possibility of a company offering support contracts for debian to individuals, and suggested that SPI could endorse them. 
<br><br>
The last scheduled presentation, and the most amazing one in my opinion, was from <a href="mailto:bdale@debian.org">Bdale</a> and was called "AMSAT and the AO-40, or how bdale discovered debian". Bdale discussed his work with the Amateur Satellite Association and their work with basement made satellites. He had a great slideshow showing the details of the satelitte and the launch. Totally amazing. Bdale discussed how their satellite took the newest full disk image of the earth since the Apollo launch. Also, their satellite has demonstrated the possibility of satellites using GPS signals to navigate, which was never done in the past. The most impressive part was that the AMSAT satellite has detected evidence of a possible new radiation layer beyond the atmosphere. See <a href="http://www.amsat.org">amsat.org</a> for details. 
<br><br>
<a href="bdale.jpg"><img src="bdale_small.jpg" border=0></a> &nbsp;&nbsp;&nbsp;
<a href="bdale4.jpg"><img src="bdale4_small.jpg" border=0></a><br><br>

To wrap up the day, there was a brief pres by Dan Freedman about <a href="http://www.freeuniversityproject.org">freeuniversityproject.org</a> and what they're trying to do. After that, Branden talked about <a href="http://www.spi-inc.org">spi-inc.org</a>, Software in the Public Interest, and urged anyone interested to donate money and contribute. 
<br><br>
<br><br>
<a href="downtown.jpg"><img src="downtown_small.jpg" border=0></a> &nbsp;&nbsp;&nbsp;
<a href="tallest.jpg"><img src="tallest_small.jpg" border=0></a><br><br>

We decided to end the day by taking a group to see the Second City Comedy Troupe, a comedy troupe in Toronto that has produced most of the talent for saturday night live, including Martin Short, Bill Murray, and a host of others. Unfortunately, after the subway ride and the walk, when we got there the eight o clock show had already started. We were informed though, that there was a free student show at 8:30 where we could order food, and we were starving. So, we went to the 8:30 show and had a wonderful time. It was a fully scripted show, followed by a brief improv segment, that was just hilarious. It was given by acting students from a conservatory, and was filled with intelligent humor, peoperly punctuated with sex jokes and a direct stab at "organized religion and government", claiming that they are "the end of humanity" which brought a "woo" from someone in the debian side of the crowd. Branden sure does know where to take debian developers for a good time!
<br><br>
Still hungry, we decided to go to a restaurant downstairs. Here at the restaurant we had a chance to talk to <a href="http://www.healthhacker.com/biella">Biella</a>, the anthropology student about what she does. She told us that she's doing her PhD thesis on humor in the free software community. I just found this to be amazing. I mentioned my earlier thought about studying the politics and she said that her master's thesis had been about the politics of free software. This was fascinating and resulted in some really good dinner conversation like the relationship between gender and coding, the high incidence of add in programmers, and the makings of a free software leader. 
<br><br>
<a href="dinner2.jpg"><img src="dinner2_small.jpg" border=0></a> &nbsp;&nbsp;&nbsp;
<a href="dinner3.jpg"><img src="dinner3_small.jpg" border=0></a> &nbsp;&nbsp;&nbsp;
<a href="dinner5.jpg"><img src="dinner5_small.jpg" border=0></a> &nbsp;&nbsp;&nbsp;
<a href="dinner6.jpg"><img src="dinner6_small.jpg" border=0></a><br><br>

This not being enough food and drink for all of us, we walked the streets of Toronto some more until we found a cozy pub. In this pub we had more drinks, until we were well on our way to being sloshed. The conversation then descended into reasons to move out of the US, carving debian swirls into stop signs, and culminated with one of Biella's friends who had an accordion playing Brittney Spears and "You and me baby ain't nothin but mammals". 
<br><br>
<br><br>
<a href="pub2.jpg"><img src="pub2_small.jpg" border=0></a> &nbsp;&nbsp;&nbsp;
<a href="pub5.jpg"><img src="pub5_small.jpg" border=0></a> &nbsp;&nbsp;&nbsp;
<a href="accordian.jpg"><img src="accordian_small.jpg" border=0></a><br><br>

On the car ride back to the university I had a chance to talk to Colin Watson and Amaya Sastre, two of the debian maintainers. We talked about Lindows a little bit and after asking a few questions they were very positive about it and said that they might even download it and give it to their families, since it's a version of debian that is easy to install.
<br><br>
It's hard to say how impressed I was with debconf2. the debian developers are such a vibrant, passionate group of people, who really care about their ideals and what they are doing. If any of you are reading this, thanks for a great time and thanks for opening my eyes to some of the amazing people that make up the free software community. I plan to make a serious effort to get more involved with debian and do whatever I can to make debian better. As someone suggested, maybe at next year's debconf we can have a talk about the upcoming woody release! 
<br>
<br>
<br>
<a href="../raw.no.html">another debconf page</a> - with links to presentations. 
</p><br>
<a href="mailto:michaelc@lindows.com">mbc</a>



</div> <!--end content-->
</div> <!--end wrapper-->


